#include <iostream>

using namespace std;

int main()
{
    string T;
    cin >> T;
    int a[T.length()];
    char c[T.length()];
    for(int i =0;i<T.length();i++){
        if(T[i]=='b'){
            a[i] = i;
            c[i] = 'b';
        }
    }
    if(c[0]=='b' && c[T.length()-1]=='b'){
        cout<<1;
    }else if(c[(T.length()-1)/2]=='b' && c[((T.length()-1)/2)+1]=='b'){
        cout << 1;
    }
    return 0;
}